summaryrefslogtreecommitdiffstats
path: root/tests/ts
diff options
context:
space:
mode:
Diffstat (limited to 'tests/ts')
-rwxr-xr-xtests/ts/script/options7
-rwxr-xr-xtests/ts/script/race2
2 files changed, 8 insertions, 1 deletions
diff --git a/tests/ts/script/options b/tests/ts/script/options
index 2656c4238..67a8b444d 100755
--- a/tests/ts/script/options
+++ b/tests/ts/script/options
@@ -57,4 +57,11 @@ $TS_HELPER_SCRIPT --return --append -c "exit 127" $TS_OUTPUT </dev/null >/dev/nu
echo $? >> $TS_OUTPUT
ts_finalize_subtest
+ts_init_subtest "size"
+$TS_HELPER_SCRIPT --output-limit 9 --command "echo 1:1234567890" $TS_OUTPUT </dev/null >/dev/null 2>&1
+$TS_HELPER_SCRIPT -a -o 9 --command "echo 2:1234567890" $TS_OUTPUT </dev/null >/dev/null 2>&1
+echo $? >> $TS_OUTPUT
+cp /home/fmora/u/src/util-linux/tests/output/script/options-size /tmp
+ts_finalize_subtest
+
ts_finalize
diff --git a/tests/ts/script/race b/tests/ts/script/race
index 86e383814..2c26b89fc 100755
--- a/tests/ts/script/race
+++ b/tests/ts/script/race
@@ -36,7 +36,7 @@ for i in `seq 1 $count`; do
done | grep -c Bingo >> $TS_OUTPUT
seen=$(<$TS_OUTPUT)
-if [ $seen = $count ]; then
+if [ "$seen" = "$count" ]; then
echo "all bingos seen" > $TS_OUTPUT
else
echo "only $seen of $count bingos seen" > $TS_OUTPUT